%define installdir %apache_datadir/addon-modules/netams

Name: netams
Version: 3.4.0rc1
Release: alt5

Summary: Network Traffic Accounting and Management Service (NeTAMS)
Summary(ru_RU.KOI8-R): NeTAMS -      .
Summary(ru_RU.CP1251): NeTAMS -      .

License: BSD
Group: Monitoring

Packager: Sergei Epiphanov <serpiph@altlinux.ru>

Url: http://www.netams.com

Source: http://netams.com/files/%name-%version.tar.gz
#Source1: netams-netamsctl.rc
#Source2: netams-netams.conf
Source3: netams-README.ALT
Source4: netams.initd
Source5: netams-stat.conf
Source6: netams.cfg
Source7: netams-stat.htaccess
Source8: netams-Makefile
Source9: netams-logrotate

Patch1: %name-Makefile-%version.patch
Patch2: %name-doc-%version.patch
Patch3: %name-src-%version.patch
Patch4: %name-x86_64-%version.patch

#BuildArchitectures:i586

# Automatically added by buildreq on Fri Nov 04 2005 (-bi)
BuildRequires: fontconfig freetype2 gcc-c++ iptables-devel libMySQL-devel libpcap-devel
BuildRequires: libpq-devel libssl-devel libstdc++-devel perl-CGI perl-Crypt-GeneratePassword
BuildRequires: rrd-perl postgresql-devel apache2-devel libpam0-devel libdb1-devel
BuildRequires: perl(CGI.pm) perl(Crypt/GeneratePassword.pm) perl(DBI.pm) perl(GD.pm)
BuildRequires: perl(GD/Graph/mixed.pm) perl(RRDs.pm) perl(Socket.pm)

Provides: perl(netams_api.pl) perl(statistic.pl)
Requires: telnet apache2

%description
NeTAMS is a Network Traffic Accounting and Monitoring Software.
It collects an IP traffic information flowing via your PC/UNIX or Cisco router,
filters it, aggregates, stores onto HASH/SQL database, and makes SMTP/HTML
reports to site administrator. Anoter features are flexible policy targets,
firewalling, access control, quotas, scheduler and much much more.

%description -l ru_RU.KOI8-R
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%description -l ru_RU.CP1251
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp %SOURCE8 ./Rules.make
chmod -x doc/*

%build
%make_build

%install
mkdir -p %buildroot%_sbindir
mkdir -p %buildroot%_docdir/%name-%version/oracle
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/netams
mkdir -p %buildroot%apache_addonconfdir
mkdir -p %buildroot%_sysconfdir/logrotate.d
mkdir -p %buildroot%_logdir/netams
mkdir -p %buildroot%_man8dir
mkdir -p %buildroot%installdir/admintool
mkdir -p %buildroot%installdir/stat

install -m600 addon/.netamsctl.rc %buildroot%_sysconfdir/.netamsctl.rc
cp %SOURCE6 conf.old
sed '{s|@APACHE@|%installdir|}' conf.old >conf
install -m600 conf %buildroot%_sysconfdir/netams/netams.conf
install -m644 addon/ru-networks.txt %buildroot%_sysconfdir/netams/ru-networks
install -m755 %SOURCE4 %buildroot%_initdir/netams
install -m750 src/netamsctl %buildroot%_sbindir
install -m750 src/netams %buildroot%_sbindir
install -m750 src/flowprobe %buildroot%_sbindir
install doc/{flowprobe.8,netams.8,netamsctl.8} %buildroot%_man8dir
install -m644 Copyright %buildroot%_docdir/%name-%version/
install -m644 INSTALL %buildroot%_docdir/%name-%version/
cp %SOURCE5 apache_conf.old
sed '{s|@APACHE@|%installdir|}' apache_conf.old >apache_conf
install -m644 apache_conf %buildroot%apache_addonconfdir/N.netams-stat.conf

install -m644 doc/TODO.txt %buildroot%_docdir/%name-%version/TODO
install -m644 doc/README %buildroot%_docdir/%name-%version/
install -m644 addon/mysql_rotate.pl %buildroot%_docdir/%name-%version/
install -m644 addon/access-script-linux.README %buildroot%_docdir/%name-%version/
install -m644 addon/postgresql_schema.sql %buildroot%_docdir/%name-%version/
install -m644 addon/ua-networks-get.sh %buildroot%_docdir/%name-%version/
install -m644 addon/oracle/* %buildroot%_docdir/%name-%version/oracle
cp -R cgi-bin/* %buildroot%installdir/admintool/
chmod  0755 %buildroot%installdir/admintool/*.cgi
chmod  0755 %buildroot%installdir/admintool/admin/*.cgi
ln -s ../admintool/admintool.cgi %buildroot%installdir/stat/admintool.cgi
ln -s ../admintool/admin/ %buildroot%installdir/stat/admin
ln -s ../admintool/images/ %buildroot%installdir/stat/images
cp %SOURCE7 %buildroot%installdir/stat/.htaccess
cp %SOURCE3 %buildroot%_docdir/%name-%version/
cp %SOURCE9 %buildroot%_sysconfdir/logrotate.d/netams

%files
%_sbindir/*
%_initdir/*
%dir%attr(0700,root,root)%_sysconfdir/netams
%config(noreplace)%attr(0600,root,root)%_sysconfdir/.netamsctl.rc
%config(noreplace)%attr(0600,root,root)%_sysconfdir/netams/netams.conf
%attr(0644,root,root)%_sysconfdir/netams/ru-networks
%_sysconfdir/logrotate.d/*
%config(noreplace)%attr(0664,root,%apache_webmaster)%apache_addonconfdir/N.netams-stat.conf
%attr(0750,root,root)%_logdir/netams
%_man8dir/*
#%attr(0750,root,root)%_localstatedir/netams
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%dir%attr(0755,root,%apache_webmaster)%installdir
%dir%attr(0755,root,%apache_webmaster)%installdir/admintool
%dir%attr(0755,root,%apache_webmaster)%installdir/stat
%attr(-,root,%apache_webmaster)%installdir/admintool/*
%attr(-,root,%apache_webmaster)%installdir/stat/*
%attr(0664,root,%apache_webmaster)%installdir/stat/.htaccess

%post
%post_service %name
%post_service httpd2

%preun
%preun_service %name
%post_service httpd2

%changelog
* Thu Apr 12 2007 Sergei Epiphanov <serpiph@altlinux.ru> 3.4.0rc1-alt5
- Change apache2 config name
- Config for apache2 is now named as needed
- Set 'stat' directory outside apache2 default root directory
  (to /var/www/apache2/addmon-modules/netams)
- Add HASH storage (via libdb1).

* Thu Apr 05 2007 Sergei Epiphanov <serpiph@altlinux.ru> 3.4.0rc1-alt4
- Change init script to 'off by default'
- Change start level from 90 to 11

* Wed Apr 04 2007 Sergei Epiphanov <serpiph@altlinux.ru> 3.4.0rc1-alt3
- Fix apache2 config due to bug #11329
- Replace internal macros with real names
- Fix doc info
- Fix previous Changelog record

* Tue Apr 03 2007 Sergei Epiphanov <serpiph@altlinux.ru> 3.4.0rc1-alt2
- Fix bug #11300 (now name of the config file is /etc/netams/netams.conf)
  (thanks to Artem Zolochevskiy)
- Fix bug in netamsctl execution (add ~/.netamsctrl.rc as config file)
- Fix doc due to bug #11300

* Tue Mar 27 2007 Sergei Epiphanov <serpiph@altlinux.ru> 3.4.0rc1-alt1
- New version
- Cleanup patches
- Remove ipfw2netflow (not built for linux)

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 3.3.5-alt3.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Dec 21 2006 Sergei Epiphanov <serpiph@altlinux.ru> 3.3.5-alt3
- Fix x86_64 build
- Split patche into 2 parts: common patch and x86_64 patch
- Rebuild for apache2

* Tue Dec 19 2006 Sergei Epiphanov <serpiph@altlinux.ru> 3.3.5-alt2
- Fixing build of new version

* Fri Dec 15 2006 Sergei Epiphanov <serpiph@altlinux.ru> 3.3.5-alt1
- New version

* Thu Jan 26 2006 Anton Korbin <ahtoh@altlinux.ru> 3.3.2-alt1
- Bugs fixed, new version

* Mon Dec 05 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.1a-alt1
- Bugs fixed, new version

* Mon Nov 07 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt4
- Provides fixed

* Fri Nov 04 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt2
- AdminTool added

* Thu Oct 06 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt1
- New stable version, but freeradius not supported

* Wed Sep 07 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0.rc2-alt1
- New version, but freeradius not supported

* Sat Apr 09 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.2-alt1
- New version, add billing system, add log-rotate

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.1-alt1
- New version

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.0-alt1
- New version

* Tue Oct 12 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.2
- Add doc in pdf, netams-README.ALT correct, bugfix with postgres

* Fri Jul 30 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.1
- netams.rc bug fix.

* Sat Jul 03 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1
- Included are HTML files permission patch and new russian network prefix table.

* Thu May 13 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1.1
- Fix changelog problem

* Tue Apr 06 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1
- First build for ALTLinux Sisyphus

